using System;

namespace InABox.Core
{
    public class UserLink : EntityLink<User>
    {
        [Caption("Name")]
        [LookupEditor(typeof(User))]
        public override Guid ID { get; set; }

        [CodeEditor(Visible = Visible.Optional, Editable = Editable.Hidden)]
        public string UserID { get; set; }

        [TextBoxEditor(Visible = Visible.Optional, Editable = Editable.Hidden)]
        public string EmailAddress { get; set; }
    }
}